# 8-bit Breadboard Computer with W65C02S Processor
This repo contains the assembly code for my [6502-project](https://quintern.xyz/de/6502.html).

The assembler used for this project is the excellent [ca65](https://github.com/cc65/cc65).
After assembling it, the binary is loaded onto the  EEPROM using [my *eeprom.py* script](https://git.quintern.xyz/MatthiasQuintern/AT28C256-rpi-util) on a Raspberry Pi 4B.

## Operating System
... is probably a far stretch, since it is just the programs I wrote pieced together. My "os" consists of these functionalities:
- Main Menu:
    - Printer: Prints the characters you press on the keypad to the lcd.
    - Temperature: Shows the temperature using a dht sensor. *Work in progress, this does not work yet*
    - Text 1: Show a 4x16 character text (defined at compile time)
    - Text 2: Show a 4x16 character text (defined at compile time)
- Ringbuffer for pressed keys.

> It's not much, but it's honest work.
